<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Sign (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Sign (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugins/signing/Sign.html" target="_top">Frames</a></li>
<li><a href="Sign.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing</div>
<h2 title="Class Sign" class="title">Class Sign</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.signing.Sign</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a>, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Sign</span>
extends <a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a>
implements <a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></pre>
<div class="block">A task for creating digital signature files for one or more; tasks, files, publishable artifacts or configurations.

 <p>The task produces <a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing"><code>Signature</code></a></p> objects that are publishable artifacts and can be assigned to another configuration. <p> The signature objects are created with defaults and using this
 tasks signatory and signature type.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#Sign()">Sign</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#generate()">generate</a></strong>()</code>
<div class="block">Generates the signature files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.api.internal.file.FileCollectionFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getFileCollectionFactory()">getFileCollectionFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getFilesToSign()">getFilesToSign</a></strong>()</code>
<div class="block">All of the files that will be signed by this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getInputFiles()">getInputFiles</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getOutputFiles()">getOutputFiles</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getSignatory()">getSignatory</a></strong>()</code>
<div class="block">Returns the signatory for this signing task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getSignatureFiles()">getSignatureFiles</a></strong>()</code>
<div class="block">All of the signature files that will be generated by this operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;<a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing">Signature</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getSignatures()">getSignatures</a></strong>()</code>
<div class="block">The signatures generated by this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getSignatureType()">getSignatureType</a></strong>()</code>
<div class="block">The signature representation that will be created.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing">Signature</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#getSingleSignature()">getSingleSignature</a></strong>()</code>
<div class="block">Returns the single signature generated by this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#isRequired()">isRequired</a></strong>()</code>
<div class="block">Whether or not this task should fail if no signatory or signature type are configured at generation time.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#required(boolean)">required</a></strong>(boolean&nbsp;required)</code>
<div class="block">Change whether or not this task should fail if no signatory or signature type are configured at the time of generation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#setRequired(boolean)">setRequired</a></strong>(boolean&nbsp;required)</code>
<div class="block">Whether or not it is required that this signature be generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#setSignatory(org.gradle.plugins.signing.signatory.Signatory)">setSignatory</a></strong>(<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory)</code>
<div class="block">Sets the signatory that will be signing the input.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#setSignatureType(org.gradle.plugins.signing.type.SignatureType)">setSignatureType</a></strong>(<a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;signatureType)</code>
<div class="block">Sets the signature representation that the signatures will be produced as.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#sign(org.gradle.api.artifacts.Configuration...)">sign</a></strong>(<a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>...&nbsp;configurations)</code>
<div class="block">Configures the task to sign every artifact of the given configurations</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#sign(java.io.File...)">sign</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>...&nbsp;files)</code>
<div class="block">Configures the task to sign each of the given files</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#sign(org.gradle.api.artifacts.PublishArtifact...)">sign</a></strong>(<a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>...&nbsp;publishArtifacts)</code>
<div class="block">Configures the task to sign each of the given artifacts</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#sign(java.lang.String,%20java.io.File...)">sign</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;classifier,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>...&nbsp;files)</code>
<div class="block">Configures the task to sign each of the given artifacts, using the given classifier as the classifier for the resultant signature publish artifact.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#sign(org.gradle.api.Task...)">sign</a></strong>(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>...&nbsp;tasks)</code>
<div class="block">Configures the task to sign the archive produced for each of the given tasks (which must be archive tasks).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugins/signing/Sign.html#signatory(org.gradle.plugins.signing.signatory.Signatory)">signatory</a></strong>(<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory)</code>
<div class="block">Changes the signatory of the signatures.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Sign()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Sign</h4>
<pre>public&nbsp;Sign()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInputFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputFiles</h4>
<pre><a href="../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getInputFiles()</pre>
</li>
</ul>
<a name="getOutputFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputFiles</h4>
<pre><a href="../../../../org/gradle/api/tasks/OutputFiles.html" title="annotation in org.gradle.api.tasks">@OutputFiles</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getOutputFiles()</pre>
</li>
</ul>
<a name="sign(org.gradle.api.Task...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public&nbsp;void&nbsp;sign(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>...&nbsp;tasks)</pre>
<div class="block">Configures the task to sign the archive produced for each of the given tasks (which must be archive tasks).</div>
</li>
</ul>
<a name="sign(org.gradle.api.artifacts.PublishArtifact...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public&nbsp;void&nbsp;sign(<a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a>...&nbsp;publishArtifacts)</pre>
<div class="block">Configures the task to sign each of the given artifacts</div>
</li>
</ul>
<a name="sign(java.io.File...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public&nbsp;void&nbsp;sign(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>...&nbsp;files)</pre>
<div class="block">Configures the task to sign each of the given files</div>
</li>
</ul>
<a name="sign(java.lang.String, java.io.File...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public&nbsp;void&nbsp;sign(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;classifier,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>...&nbsp;files)</pre>
<div class="block">Configures the task to sign each of the given artifacts, using the given classifier as the classifier for the resultant signature publish artifact.</div>
</li>
</ul>
<a name="sign(org.gradle.api.artifacts.Configuration...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public&nbsp;void&nbsp;sign(<a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>...&nbsp;configurations)</pre>
<div class="block">Configures the task to sign every artifact of the given configurations</div>
</li>
</ul>
<a name="signatory(org.gradle.plugins.signing.signatory.Signatory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>signatory</h4>
<pre>public&nbsp;void&nbsp;signatory(<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory)</pre>
<div class="block">Changes the signatory of the signatures.</div>
</li>
</ul>
<a name="required(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>required</h4>
<pre>public&nbsp;void&nbsp;required(boolean&nbsp;required)</pre>
<div class="block">Change whether or not this task should fail if no signatory or signature type are configured at the time of generation.</div>
</li>
</ul>
<a name="generate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generate</h4>
<pre>public&nbsp;void&nbsp;generate()</pre>
<div class="block">Generates the signature files.</div>
</li>
</ul>
<a name="getSignatures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatures</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;<a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing">Signature</a>&gt;&nbsp;getSignatures()</pre>
<div class="block">The signatures generated by this task.</div>
</li>
</ul>
<a name="getSingleSignature()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSingleSignature</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing">Signature</a>&nbsp;getSingleSignature()</pre>
<div class="block">Returns the single signature generated by this task.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The signature.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if there is not exactly one signature.</dd></dl>
</li>
</ul>
<a name="getFileCollectionFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileCollectionFactory</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.file.FileCollectionFactory&nbsp;getFileCollectionFactory()</pre>
</li>
</ul>
<a name="getFilesToSign()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilesToSign</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getFilesToSign()</pre>
<div class="block">All of the files that will be signed by this task.</div>
</li>
</ul>
<a name="getSignatureFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureFiles</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getSignatureFiles()</pre>
<div class="block">All of the signature files that will be generated by this operation.</div>
</li>
</ul>
<a name="getSignatureType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureType</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;getSignatureType()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#getSignatureType()">SignatureSpec</a></code></strong></div>
<div class="block">The signature representation that will be created.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#getSignatureType()">getSignatureType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>the signature type, or <code>null</code> if none specified.</dd></dl>
</li>
</ul>
<a name="setSignatureType(org.gradle.plugins.signing.type.SignatureType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureType</h4>
<pre>public&nbsp;void&nbsp;setSignatureType(<a href="../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;signatureType)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setSignatureType(org.gradle.plugins.signing.type.SignatureType)">SignatureSpec</a></code></strong></div>
<div class="block">Sets the signature representation that the signatures will be produced as.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setSignatureType(org.gradle.plugins.signing.type.SignatureType)">setSignatureType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>signatureType</code> - the signature type to use</dd></dl>
</li>
</ul>
<a name="getSignatory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatory</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;getSignatory()</pre>
<div class="block">Returns the signatory for this signing task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#getSignatory()">getSignatory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>the signatory</dd></dl>
</li>
</ul>
<a name="setSignatory(org.gradle.plugins.signing.signatory.Signatory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatory</h4>
<pre>public&nbsp;void&nbsp;setSignatory(<a href="../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setSignatory(org.gradle.plugins.signing.signatory.Signatory)">SignatureSpec</a></code></strong></div>
<div class="block">Sets the signatory that will be signing the input.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setSignatory(org.gradle.plugins.signing.signatory.Signatory)">setSignatory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>signatory</code> - The signatory</dd></dl>
</li>
</ul>
<a name="isRequired()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRequired</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isRequired()</pre>
<div class="block">Whether or not this task should fail if no signatory or signature type are configured at generation time.

 <p>Defaults to <code>true</code>.</p></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#isRequired()">isRequired</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>Whether or not it is required that this signature be generated.</dd></dl>
</li>
</ul>
<a name="setRequired(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setRequired</h4>
<pre>public&nbsp;void&nbsp;setRequired(boolean&nbsp;required)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setRequired(boolean)">SignatureSpec</a></code></strong></div>
<div class="block">Whether or not it is required that this signature be generated.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#setRequired(boolean)">setRequired</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html" title="interface in org.gradle.plugins.signing">SignatureSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>required</code> - Whether or not it is required that this signature be generated.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/plugins/signing/SignatureSpec.html#isRequired()"><code>SignatureSpec.isRequired()</code></a></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugins/signing/Sign.html" target="_top">Frames</a></li>
<li><a href="Sign.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
